Skip to content
Get Started

Get webhooks

GET/api/account/webhooks

Get webhooks configured for the authenticated account.

With a line-scoped temporary bearer token, this returns receive webhooks for the token’s phone numbers.

ReturnsExpand Collapse
status: optional string
webhooks: optional object { call_log, contact_created, contact_profile, 7 more }
call_log: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for call log events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

contact_created: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for contact created events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

contact_profile: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for durable contact-profile publication completion and failure events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

globalSecret: optional string

Global secret applied to all webhooks

inbound_call: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for inbound call events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

line_assigned: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for line assigned events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

line_blocked: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for line blocked events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

outbound: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for outbound message status updates

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

receive: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for inbound message events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

typing_indicator: optional array of string or WebhookConfiguration { url, secret, sendblue_numbers }

Webhooks for typing indicator events

One of the following:
string
WebhookConfiguration object { url, secret, sendblue_numbers }
url: string

Webhook endpoint URL for receiving callbacks

formaturi
secret: optional string

Secret for webhook signature verification

sendblue_numbers: optional array of string

Receive webhooks only. When present, only inbound messages received by these Sendblue line numbers are delivered to this webhook.

Get webhooks

curl https://api.sendblue.co/api/account/webhooks \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET"
{
  "status": "OK",
  "webhooks": {
    "call_log": [
      "https://example.com"
    ],
    "contact_created": [
      "https://example.com"
    ],
    "contact_profile": [
      "https://example.com"
    ],
    "globalSecret": "whsec_global123",
    "inbound_call": [
      "https://example.com"
    ],
    "line_assigned": [
      "https://example.com"
    ],
    "line_blocked": [
      "https://example.com"
    ],
    "outbound": [
      "https://example.com"
    ],
    "receive": [
      "https://example.com"
    ],
    "typing_indicator": [
      "https://example.com"
    ]
  }
}
Returns Examples
{
  "status": "OK",
  "webhooks": {
    "call_log": [
      "https://example.com"
    ],
    "contact_created": [
      "https://example.com"
    ],
    "contact_profile": [
      "https://example.com"
    ],
    "globalSecret": "whsec_global123",
    "inbound_call": [
      "https://example.com"
    ],
    "line_assigned": [
      "https://example.com"
    ],
    "line_blocked": [
      "https://example.com"
    ],
    "outbound": [
      "https://example.com"
    ],
    "receive": [
      "https://example.com"
    ],
    "typing_indicator": [
      "https://example.com"
    ]
  }
}